<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ChatMessage extends Model
{
    /**
     * Mass Assignable Attributes
     *
     * @var Array
     * @author mattsidjohn
     **/
    protected $fillable = [
        'author_id',
        'message'
    ];

    /**
     * Author Relationship
     *
     * @return User Object
     * @author mattsidjohn
     **/
    public function author()
    {
        return $this->belongsTo(
            User::class,
            'author_id'
        );
    }
}
