<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CompetitorProduct extends Model
{
    /**
     * Mass Assignable Attributes
     *
     * @var array
     * @author mattsidjohn
     **/
    protected $fillable = [
        'competitor_id',
        'item_number',
        'brand_name',
        'material_type',
        'gallon_capacity',
        'width',
        'length',
        'bag_gauge',
        'strength',
        'color',
        'case_count',
        'rolls_bags',
        'packaging_style',
        'bottom_seal',
        'printed',
        'max_dry_load',
        'skid_count',
        'case_weight',
        'cube',
        'min_qty',
        'upc'
    ];

    /**
     * Competitor Relationship
     *
     * @return Competitor Object
     * @author mattsidjon
     **/
    public function competitor()
    {
        return $this->belongsTo(
            Competitor::class,
            'competitor_id'
        );
    }

    /**
     * Competitor Relationship
     *
     * @return Competitor Object
     * @author mattsidjon
     **/
    public function napcoVariations()
    {
        return $this->belongsToMany(
            ProductVariation::class,
            'product_variations_competitor_products',
            'competitor_product_id',
            'variation_id'
        );
    }
}
