<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;
use App\Services\CompetitorService;

class CompetitorsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'competitors:import';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This command creates and updates competitors and their products';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        // Get the competitor import file.
        $competitors = app_path('../resources/import/competitor.csv');

        // Run the import service.
        (new CompetitorService)->import($competitors);
    }
}
