<?php

namespace App\Console\Commands;

use Illuminate\Support\Facades\Storage;
use Illuminate\Console\Command;

class ProductsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'products:get';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'This comand downloads the product files from the EE server.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        // Refresh the remote files with current data
        $client = new \GuzzleHttp\Client;
        $client->get('https://napcobag.com/exports.php');

        // Product Categories
        $contents = file_get_contents('https://napcobag.com/assets/exports/productCategories.txt');
        Storage::put('imports/productCategories.txt', $contents);

        // Products
        $contents = file_get_contents('https://napcobag.com/assets/exports/products.txt');
        Storage::put('imports/products.txt', $contents);

        // Items
        $contents = file_get_contents('https://napcobag.com/assets/exports/items.txt');
        Storage::put('imports/items.txt', $contents);

        // Product Variations
        $contents = file_get_contents('https://napcobag.com/assets/exports/variations.txt');
        Storage::put('imports/variations.txt', $contents);
    }
}
