<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class File extends Model
{
    /**
     * Mass Assignable Attributes
     *
     * @var Array
     * @author mattsidjohn
    **/
    protected $fillable = [
        'user_id',
        'path',
        'name',
        'size',
        'mime_type'
    ];

    /**
     * Polymorph Relationship
     *
     * @return Model Object
     * @author mattsidjohn
     **/
    public function filable()
    {
        return $this->morphTo();
    }

    /**
     * Quote Relationship
     *
     * @return Quote Object
     * @author mattsidjohn
     **/
    public function quote()
    {
        return $this->belongsTo(
            Quote::class,
            'filable_id'
        );
    }
}
