<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;

class UserRelationshipController extends Controller
{
    /**
     * This function handles the relationship for Sales managers and Sales Reps.
     *
     * @return void
     * @author mattsidjohn
     **/
    public function sync(User $user, Request $request)
    {

        // Update related users.
        if ($user->hasRole('sales rep')) {
            $user->salesManagers()->sync($request->relatedUsers);
        } else if ($user->hasRole('sales manager')) {
            $user->salesReps()->sync($request->relatedUsers);    
        }

        return redirect()->back()->with('success', 'Users relationships where successfully updated!');
    }
}
