<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductCategory extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'product_categories';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'ee_category_id',
        'ee_category_group_id',
        'name'
    ];

    /**
     * Returns the related products
     *
     * @return object of products
     * @author @mattsidjohn
     **/
    public function products()
    {
        return $this->belongsToMany(
            Product::class,
            'products_product_categories',
            'category_id',
            'product_id'
        );
    }
}
