<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductItem extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'product_items';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'product_id',
        'ee_product_id',
        'item_code',
    ];

    /**
     * Function to return related products
     *
     * @return object of products
     * @author @mattsidjohn
     **/
    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
