<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVariationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_variations', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('product_id')->nullable()->unsigned()->index();
            $table->string('item_relationship')->nullable();
            $table->string('item_number')->nullable();
            $table->text('material_category')->nullable();
            $table->text('material_type')->nullable();
            $table->string('gallon_capacity')->nullable();
            $table->string('width')->nullable();
            $table->string('length')->nullable();
            $table->string('bag_gauge')->nullable();
            $table->string('color')->nullable();
            $table->string('case_count')->nullable();
            $table->string('rolls_bags')->nullable();
            $table->string('max_dry_load')->nullable();
            $table->string('skid_count')->nullable();
            $table->string('case_weight')->nullable();
            $table->string('ply')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_variations');
    }
}
