<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateQuotesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     * @author mattsidjohn
     */
    public function up()
    {
        Schema::create('quotes', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('sales_manager_id')->unsigned()->index()->default(0);
            $table->integer('sales_rep_id')->unsigned()->index()->default(0);
            $table->string('image')->nullable();
            $table->text('details');
            $table->boolean('status')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     * @author mattsidjohn
     */
    public function down()
    {
        Schema::dropIfExists('quotes');
    }
}
