<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompetitorProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('competitor_products', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('competitor_id')->unsigned()->index();
            $table->string('item_number')->nullable();
            $table->string('brand_name')->nullable();
            $table->text('material_type')->nullable();
            $table->string('gallon_capacity')->nullable();
            $table->string('width')->nullable();
            $table->string('length')->nullable();
            $table->string('bag_gauge')->nullable();
            $table->string('strength')->nullable();
            $table->string('color')->nullable();
            $table->string('case_count')->nullable();
            $table->string('rolls_bags')->nullable();
            $table->string('packaging_style')->nullable();
            $table->string('bottom_seal')->nullable();
            $table->string('printed')->nullable();
            $table->string('max_dry_load')->nullable();
            $table->string('skid_count')->nullable();
            $table->string('case_weight')->nullable();
            $table->string('cube')->nullable();
            $table->string('min_qty')->nullable();
            $table->string('upc')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('competitor_products');
    }
}
