@extends('layouts.app')

@section('title', $user->name)

@section('content')

    <div class="page-head">
        <h2>Editing {{ $user->name }}</h2>
        {{-- <ol class="breadcrumb"> --}}
        {{--     <li><a href="">Dashboard</a></li> --}}
        {{--     <li><a href="">Users</a></li> --}}
        {{--     <li><a href="">{{ $user->name }}</a></li> --}}
        {{--     <li class="active">Edit</li> --}}
        {{-- </ol> --}}
    </div>
    <div class="main-content">
        <div class="user-profile">
            <div class="row">
                <div class="col-sm-12">
                    <div class="info-block panel panel-default">
                        <div class="panel-body">
                            {{ Form::model($user, ['route' => ['users.update', $user], 'method' => 'PUT']) }}
                                @include('users._user-form')
                            {{ Form::close() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @role('administrator')
        {{ Form::model($user, ['route' => ['userRelationship.sync', $user], 'method' => 'PUT']) }}
            <div class="main-content">
                <div class="row">
                    <div class="col-sm-8 col-xs-12">
                        <div class="chat-search">
                            <input type="text" placeholder="Search..." id="search-field"><span class="s7-search"></span>
                        </div> 
                    </div>
                    <div class="col-md-4">
                        {!! Form::button('<i class="icon s7-check"></i> Relate Users', ['type' => 'submit', 'class' => 'col-xs-12 btn btn-alt1', 'style' => 'padding:18px 0px !important; ']) !!}  
                    </div>
                </div>
            </div>
            <div class="main-content" id="usersList">
                <div class="row">
                    <ul class="list list-unstyled">
                        @foreach ($relatableUsers as $relatedUser)
                            <li class="col-sm-4">
                                <div class="panel panel-default">
                                    <div class="panel-heading no-border">
                                        <h3><span class="title name">{{ $relatedUser->name }}</span></h3>
                                        <h5><small class="email">{{ $relatedUser->email }}</small></h5>
                                        <div class="xs-mt-30">
                                            <hr>
                                            {{ Form::mwicheckbox(
                                                '', 'relatedUsers[]',
                                                ['Attach User' => $relatedUser->id],
                                                (in_array($relatedUser->id, $relatedUsersIds))
                                                    ? 1 : 0
                                            )  }}
                                        </div>
                                    </div>
                                </div>
                            </li> 
                        @endforeach 
                    </ul>
                </div>
            </div>
        {{ Form::close() }}
    @endrole

@endsection
