@extends('layouts.app')

@section('content')

    <div class="page-head">
        <a href="{{ route('users.edit', $user) }}" class="btn btn-info pull-right xs-mt-20"><i class="icon s7-edit"></i> Edit User</a>
        <h2>Users</h2>
        <ol class="breadcrumb">
            <li><a href="{{ route('dashboard') }}">Dashboard</a></li>
            <li><a href="{{ route('users.index') }}">Users</a></li>
            <li class="active">{{ $user->name }}</li>
        </ol>
    </div>
    <div class="main-content">
        <div class="row">
            <div class="col-md-6">
                <div class="panel">
                    <div class="panel-heading">
                        <span class="title">Company One</span>
                    </div>
                    <div class="panel-body">
                        <table class="table table-striped table-fw-widget table-hover">
                            <tbody>
                                <tr>
                                    <td>Address</td>
                                    <td>123 Address</td>
                                </tr>
                                <tr>
                                    <td>City</td>
                                    <td>Joplin</td>
                                </tr>
                                <tr>
                                    <td>State</td>
                                    <td>MO</td>
                                </tr>
                                <tr>
                                    <td>Zip</td>
                                    <td>64804</td>
                                </tr>
                                <tr>
                                    <td>Contact</td>
                                    <td>John Smith</td>
                                </tr>
                                <tr>
                                    <td>Phone</td>
                                    <td>123-456-7890</td>
                                </tr>
                                <tr>
                                    <td>Last Inspection</td>
                                    <td>{{ Carbon\Carbon::now()->format('m/d/Y g:ia') }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="panel">
                    <div class="panel-body">
                        <div id="user-location"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <span class="title">Work Order #1037293</span>
                    </div>
                    <div class="panel-body">
                        <table class="table table-striped table-fw-widget table-hover datatable">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Item</th>
                                    <th>Description</th>
                                    <th>QTY</th>
                                    <th>Rate</th>
                                    <th>Amount</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>872342</td>
                                    <td>SP104W - WET SYSTEM (ANNUAL)</td>
                                    <td>Annual Inspection of Wet Sprin</td>
                                    <td>2.00</td>
                                    <td>$130.00</td>
                                    <td>$260.00</td>
                                    <td>
                                        <div class="btn-group btn-hspace">
                                            <button type="button" data-toggle="dropdown" class="btn btn-default dropdown-toggle" aria-expanded="false">...</button>
                                            <ul role="menu" class="dropdown-menu pull-right">
                                                <li><a href="#">Edit</a></li>
                                                <li><a href="#">Inspections</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>872343</td>
                                    <td>SP104W - WET SYSTEM (ANNUAL)</td>
                                    <td>Annual Inspection of Wet Sprin</td>
                                    <td>2.00</td>
                                    <td>$130.00</td>
                                    <td>$260.00</td>
                                    <td>
                                        <div class="btn-group btn-hspace">
                                            <button type="button" data-toggle="dropdown" class="btn btn-default dropdown-toggle" aria-expanded="false">...</button>
                                            <ul role="menu" class="dropdown-menu pull-right">
                                                <li><a href="#">Edit</a></li>
                                                <li><a href="#">Inspections</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>872344</td>
                                    <td>SP104W - WET SYSTEM (ANNUAL)</td>
                                    <td>Annual Inspection of Wet Sprin</td>
                                    <td>2.00</td>
                                    <td>$130.00</td>
                                    <td>$260.00</td>
                                    <td>
                                        <div class="btn-group btn-hspace">
                                            <button type="button" data-toggle="dropdown" class="btn btn-default dropdown-toggle" aria-expanded="false">...</button>
                                            <ul role="menu" class="dropdown-menu pull-right">
                                                <li><a href="#">Edit</a></li>
                                                <li><a href="#">Inspections</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>872345</td>
                                    <td>SP104W - WET SYSTEM (ANNUAL)</td>
                                    <td>Annual Inspection of Wet Sprin</td>
                                    <td>2.00</td>
                                    <td>$130.00</td>
                                    <td>$260.00</td>
                                    <td>
                                        <div class="btn-group btn-hspace">
                                            <button type="button" data-toggle="dropdown" class="btn btn-default dropdown-toggle" aria-expanded="false">...</button>
                                            <ul role="menu" class="dropdown-menu pull-right">
                                                <li><a href="#">Edit</a></li>
                                                <li><a href="#">Inspections</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>872346</td>
                                    <td>SP104W - WET SYSTEM (ANNUAL)</td>
                                    <td>Annual Inspection of Wet Sprin</td>
                                    <td>2.00</td>
                                    <td>$130.00</td>
                                    <td>$260.00</td>
                                    <td>
                                        <div class="btn-group btn-hspace">
                                            <button type="button" data-toggle="dropdown" class="btn btn-default dropdown-toggle" aria-expanded="false">...</button>
                                            <ul role="menu" class="dropdown-menu pull-right">
                                                <li><a href="#">Edit</a></li>
                                                <li><a href="#">Inspections</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('scripts')
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB7xIfWUi5lpVGGV-srh48ePwaibeHRFm4" type="text/javascript"></script>
<script>
    var map;
    var marker;
    var loc = new google.maps.LatLng(37.089221, -94.514859);

    var mapOptions = {
      zoom: 18,
      center: loc,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    map = new google.maps.Map(document.getElementById('user-location'), mapOptions);

    marker = new google.maps.Marker({
      position: loc,
      map: map
    });
</script>
@endsection
