<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Authenticated
// Route::middleware('auth:api')->namespace('Api\V1')->prefix('v1')->group(function () {
//     // User
//     Route::get('user', 'UserController@get');
//     Route::put('user/update', 'UserController@update');


//     // Quotes
//     Route::get('quotes/{quote}', 'QuotesController@get');
//     Route::get('quotes', 'QuotesController@getAll');
//     Route::get('quotes/toggleStatus/{quote}', 'QuotesController@toggleStatus');
//     Route::post('quotes', 'QuotesController@store');
//     Route::delete('quotes/{quote}', 'QuotesController@destroy');

//     // Quote File Upload
//     Route::post('quotes/{quote}/storeFile', 'QuotesController@storeFile');

//     // Quote Chat Message
//     Route::post('quotes/{quote}/chatMessage', 'QuotesController@storeChatMessage');
//     Route::delete('quotes/{quote}/chatMessage/{chatMessage}', 'QuotesController@destroyChatMessage');


//     // Cross Reference
//     Route::get('crossReference/{item_number}', 'CrossReferenceController@getAll');


// });

// No Authentication
Route::namespace('Api\V1')->prefix('v1')->group(function () {
    Route::post('user/create', 'UserController@store');
    Route::post('authorize', 'AuthController@index')
        ->name('authorize.user');
        
    // Products
    Route::get('products', 'ProductController@getAll');
    Route::get('products/{product}', 'ProductController@get');

    // Competitors
    Route::get('competitors', 'CompetitorsController@getAll');
    Route::get('competitors/{competitor}', 'CompetitorsController@get');
    Route::post('competitors', 'CompetitorsController@store');
    Route::delete('competitors/{competitor}', 'CompetitorsController@destroy');

    // Competitor Products
    Route::get('competitorProducts', 'CompetitorProductsController@getAll');
    Route::get('competitorProducts/{competitorProduct}', 'CompetitorProductsController@get');
    Route::post('competitorProducts', 'CompetitorProductsController@store');
    Route::delete('competitorProducts/{competitorProduct}', 'CompetitorProductsController@destroy');


});

