<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



// Authentication
Auth::routes();
Route::get('/', 'Auth\LoginController@showLoginForm');

// Auth Middleware
Route::group(['middleware' => 'auth'], function () {
    // Dashboard
    Route::get('/', 'DashboardController@index')->name('home');

    // User Routes
    Route::resource('users', 'UsersController');
    Route::put('users/{user}/sync', 'UserRelationshipController@sync')
        ->name('userRelationship.sync');

    // Competitor Routes
    Route::resource('competitors', 'CompetitorsController');

    // Competitor Routes
    Route::resource('competitors.products', 'CompetitorProductsController');

    // Competitor Cross Reference Relationship.
    Route::put('competitors/{competitor}/products/{product}/sync', 'CrossReferenceController@sync')
        ->name('crossReference.sync');
});
// Import Routes
Route::get('import', 'ImportController@index');
